<p align="center">
  <a href="https://react-native-elements.github.io/react-native-elements/">
    <img alt="react-native-elements" src="https://user-images.githubusercontent.com/5962998/65694309-a825f000-e043-11e9-8382-db0dba0851e3.png" width="300">
  </a>
</p>

<p align="center">
  Cross Platform <a href="https://facebook.github.io/react-native/">React Native</a> UI Toolkit
</p>

<p align="center">
  <a href="https://www.npmjs.com/package/react-native-elements"><img src="https://img.shields.io/npm/v/react-native-elements.svg?style=flat-square"></a>
  <a href="https://www.npmjs.com/package/react-native-elements"><img src="https://img.shields.io/npm/dm/react-native-elements.svg?style=flat-square"></a>
  <a href="https://travis-ci.org/react-native-elements/react-native-elements"><img src="https://img.shields.io/travis/react-native-elements/react-native-elements/master.svg?style=flat-square"></a>
  <a href="https://reactnativetraining.herokuapp.com/"><img src="https://reactnativetraining.herokuapp.com/badge.svg"></a>
</p>

<p align="center">
  <a href="#backers"><img src="https://opencollective.com/react-native-elements/backers/badge.svg"></a>
  <a href="#sponsors"><img src="https://opencollective.com/react-native-elements/sponsors/badge.svg"></a>
  <a href="https://codecov.io/gh/react-native-elements/react-native-elements"><img src="https://codecov.io/gh/react-native-elements/react-native-elements/coverage.svg"></a>
  <a href="https://github.com/prettier/prettier"><img src="https://img.shields.io/badge/styled_with-prettier-ff69b4.svg"></a>
  <a href="https://opensource.org/licenses/MIT"><img src="https://img.shields.io/badge/License-MIT-blue.svg"></a>
</p>

<br />

![React Native Elements UI Toolkit](https://user-images.githubusercontent.com/5962998/37248832-a7060286-24b1-11e8-94a8-847ab6ded4ec.png)

## Get Started

### Installation

Follow
[these instructions](https://react-native-elements.github.io/react-native-elements/docs/getting_started.html)
to install React Native Elements!

### Usage

Start using the components or try it on Snack
[here](https://snack.expo.io/rJu6gJfBZ).

```js
import { Button } from 'react-native-elements';

<Button />;
```

## Components included:

- [x] [Avatar](https://react-native-elements.github.io/react-native-elements/docs/avatar.html)
- [x] [Badge](https://react-native-elements.github.io/react-native-elements/docs/badge.html)
- [x] [Button](https://react-native-elements.github.io/react-native-elements/docs/button.html)
- [x] [ButtonGroup](https://react-native-elements.github.io/react-native-elements/docs/button_group.html)
- [x] [Card](https://react-native-elements.github.io/react-native-elements/docs/card.html)
- [x] [CheckBox](https://react-native-elements.github.io/react-native-elements/docs/checkbox.html)
- [x] [Divider](https://react-native-elements.github.io/react-native-elements/docs/divider.html)
- [x] [Header](https://react-native-elements.github.io/react-native-elements/docs/header.html)
- [x] [HTML style headings](https://react-native-elements.github.io/react-native-elements/docs/text.html)
- [x] [Icon](https://react-native-elements.github.io/react-native-elements/docs/icon.html)
- [x] [Image](https://react-native-elements.github.io/react-native-elements/docs/image.html)
- [x] [Input](https://react-native-elements.github.io/react-native-elements/docs/input.html)
- [x] [ListItem](https://react-native-elements.github.io/react-native-elements/docs/listitem.html)
- [x] [Overlay](https://react-native-elements.github.io/react-native-elements/docs/overlay.html)
- [x] [Pricing](https://react-native-elements.github.io/react-native-elements/docs/pricing.html)
- [x] [Rating](https://react-native-elements.github.io/react-native-elements/docs/rating.html)
- [x] [SearchBar](https://react-native-elements.github.io/react-native-elements/docs/searchbar.html)
- [x] [Slider](https://react-native-elements.github.io/react-native-elements/docs/slider.html)
- [x] [Social Icons / Social Icon Buttons](https://react-native-elements.github.io/react-native-elements/docs/social_icon.html)
- [x] [Tile](https://react-native-elements.github.io/react-native-elements/docs/tile.html)
- [x] [Tooltip](https://react-native-elements.github.io/react-native-elements/docs/tooltip.html)

## React Native Web support

As a cross platform UI Toolkit, you can now use RNE on the web & share your codebase between your React Native + React web apps. RNE components are rendered perfectly on browser. You can achieve this to target iOS, Android and Web by collaborating RNE and [React Native for Web](https://github.com/necolas/react-native-web).

Click [here](https://react-native-elements.github.io/react-native-elements/blog/2018/12/13/react-native-web.html) for a full walkthrough using React Native Elements + React Native Web.

## Demo App

Checkout the official
[React Native Elements App](https://expo.io/@monte9/react-native-elements-app)
on Expo which uses all of the React Native Elements components.

If you are looking to contribute to the React Native Elements App, click
[here](https://github.com/react-native-elements/react-native-elements-app) to
view the implementation & run the RNE expo app locally.

## Documentation

[View the full docs here](https://react-native-elements.github.io/react-native-elements/docs/overview.html)

## Contributing

Interested in contributing to this repo? Check out our
[Contributing Guide](https://react-native-elements.github.io/react-native-elements/docs/contributing.html)
and submit a PR for a new feature/bug fix.

A big shoutout to all our contributors! You could be here too!